aboutsummaryrefslogtreecommitdiff
path: root/.local/bin/mounter
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/mounter')
-rwxr-xr-x.local/bin/mounter8
1 files changed, 4 insertions, 4 deletions
diff --git a/.local/bin/mounter b/.local/bin/mounter
index 38d3c9c..949fdce 100755
--- a/.local/bin/mounter
+++ b/.local/bin/mounter
@@ -1,6 +1,6 @@
#!/bin/sh
-# Gives a rofi -dmenu prompt to mount unmounted drives. If
+# Gives a dmenu prompt to mount unmounted drives. If
# they're in /etc/fstab, they'll be mounted automatically. Otherwise, you'll
# be prompted to give a mountpoint from already existsing directories. If you
# input a novel directory, it will prompt you to create that directory.
@@ -8,16 +8,16 @@
getmount() { \
[ -z "$chosen" ] && exit 1
# shellcheck disable=SC2086
- mp="$(find $1 2>/dev/null | rofi -dmenu -i -p "Type in mount point.")" || exit 1
+ mp="$(find $1 2>/dev/null | fuzzel -d -i -p "Type in mount point.")" || exit 1
test -z "$mp" && exit 1
if [ ! -d "$mp" ]; then
- mkdiryn=$(printf "No\\nYes" | rofi -dmenu -i -p "$mp does not exist. Create it?") || exit 1
+ mkdiryn=$(printf "No\\nYes" | fuzzel -d -i -p "$mp does not exist. Create it?") || exit 1
[ "$mkdiryn" = "Yes" ] && (mkdir -p "$mp" || sudo -A mkdir -p "$mp")
fi
}
mountusb() { \
- chosen="$(echo "$usbdrives" | rofi -dmenu -i -p "Mount which drive?")" || exit 1
+ chosen="$(echo "$usbdrives" | fuzzel -d -i -p "Mount which drive?")" || exit 1
chosen="$(echo "$chosen" | awk '{print $1}')"
sudo -A mount "$chosen" 2>/dev/null && notify-send "💻 USB mounting" "$chosen mounted." && exit 0
alreadymounted=$(lsblk -nrpo "name,type,mountpoint" | awk '$3!~/\/boot|\/home$|SWAP/&&length($3)>1{printf "-not ( -path *%s -prune ) ",$3}')